Subject: Re: bug#23186: closed (Re: bug#23186: 25.0.92; Tramp: Windows does not always set COMSPEC, tramp blows up in a string-match)

From: Eli Zaretskii <[email-masked]>
Date: Sat, 02 Apr 2016 23:28:22 +0300

> From: Jerry Asher <[email-masked]>
> Date: Sat, 2 Apr 2016 13:11:01 -0700
> Cc: [email-masked]
> 
> What is the full contents of the environment of the Emacs process when
> you run that zapped binary?

I'm still waiting for the answer to that question.  It's important,
for the reasons explained below.

> WHAT DO YOU THE MAINTAINER PROPOSE as a solution?

We don't yet understand the problem to have a proposal.  I asked a
question that might lead to a proposal.  If you are interested in
solving the problem, please answer it.

> Since I am not a windows developer, I think my actual proposal setting the value to
> "%SYSTEMROOT%\system32\cmd.exe" is a reasonable first start.

How do we know that we can trust %SYSTEMROOT% to be in the
environment, if %COMSPEC% is not there?  How can we trust _any_
environment variable, for that matter?  That's why I asked that
question: to know what exactly is and isn't in the environment.  I
don't see how we can advance without knowing that, and I certainly
don't see how that question could be taken as a slur.

> I don't know where cmd.exe is supposed to live, or how it's supposed to be found, but I do know the path I
> suggested, which misrepresented as you and Eli have done, actually works and would work FAR better than
> setting it to NIL.

You are, of course, free to change your copy of Emacs as you see fit.
That is what Free Software is for.  But when you ask us to incorporate
the solution in upstream code, the solution must be correct for
everyone, not just for you.  And it must be well understood, because
any solution will have to be maintained from this point onward.

As a matter of fact, I still don't see how COMSPEC could disappear
from the environment just because you made Emacs a GUI program.  I
just tried that on my system, and couldn't reproduce the problem.
Maybe it's something specific to Windows 10.